| GET | /RestApi/markup/keys/{StrategyKey} |
|---|
namespace Telerik.Sitefinity.Web.Compilation.Model
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type PageKeyRequest() =
member val StrategyKey:String = null with get,set
[<AllowNullLiteral>]
type TemplateKeyResponse() =
member val Keys:IEnumerable<String> = null with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/markup/keys/{StrategyKey} HTTP/1.1
Host: www.asg.com.au
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{Unable to show example output for type 'TemplateKeyResponse' using the custom 'csv' filter}No parameterless constructor defined for this object.